petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscCUDAFlag

indicates which memory (CPU, GPU, or none contains valid vector

### Synopsis

    typedef enum {PETSC_CUDA_UNALLOCATED,PETSC_CUDA_GPU,PETSC_CUDA_CPU,PETSC_CUDA_BOTH} PetscCUDAFlag;

PETSC_CUDA_UNALLOCATED - no memory contains valid matrix entries; NEVER used for vectors Many brPETSC_CUDA_GPU - GPU has valid vector/matrix entries Many brPETSC_CUDA_CPU - CPU has valid vector/matrix entries Many brPETSC_CUDA_BOTH - Both GPU and CPU have valid vector/matrix entries and they match Many br

Many br

Level:developer
Location:include/petsc/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages